# -y (assume Yes on all queries) switch

Disables most of the normal user queries during 7-Zip execution. You can use this switch to suppress overwrite queries in the e (Extract) and x (Extract with full paths) commands.

#### Syntax

    -y

#### Examples

    7z x src.zip -y

extracts all files from src.zip archive. All overwrite queries will be suppressed and files on disk with same filenames as in archive will be overwritten.

#### Commands that can be used with this switch

e (Extract), x (Extract with full paths)

#### See also

Switches: -ao (Overwrite mode),